Package org.silverpeas.mobile.client.apps.comments

## Class CommentsApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.comments.CommentsApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `CommentsAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class CommentsApp
      extends App
      implements CommentsAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentsApp​(String contentId, String contentType, String pageTitle, String title, ApplicationInstanceDTO applicationInstance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addComment​(AddCommentEvent event)` |
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `deleteComment​(DeleteCommentEvent event)` |
    `void` | `loadComments​(CommentsLoadEvent event)` |
    `void` | `setApplicationInstance​(ApplicationInstanceDTO instance)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `updateComment​(UpdateCommentEvent event)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setMainPage, setStopLoading, showContent, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentsApp

          public CommentsApp​(String contentId,
                             String contentType,
                             String pageTitle,
                             String title,
                             ApplicationInstanceDTO applicationInstance)

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadComments

          public void loadComments​(CommentsLoadEvent event)

      Specified by:
        `loadComments` in interface `CommentsAppEventHandler`

    - #### addComment

          public void addComment​(AddCommentEvent event)

      Specified by:
        `addComment` in interface `CommentsAppEventHandler`

    - #### deleteComment

          public void deleteComment​(DeleteCommentEvent event)

      Specified by:
        `deleteComment` in interface `CommentsAppEventHandler`

    - #### setApplicationInstance

          public void setApplicationInstance​(ApplicationInstanceDTO instance)

      Overrides:
        `setApplicationInstance` in class `App`

    - #### updateComment

          public void updateComment​(UpdateCommentEvent event)

      Specified by:
        `updateComment` in interface `CommentsAppEventHandler`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`